## org.biojava.bio.symbol
Interface FuzzyLocation.RangeResolver

All Superinterfaces:
  java.io.Serializable

Enclosing interface:
  FuzzyLocation

public static interface FuzzyLocation.RangeResolver
extends java.io.Serializable

Determines how a `FuzzyLocation` should be treated when used as a normal `Location`.

For general use:
  Use one of the implementations of this interface when creating a `FuzzyLocation` to specify how the fuzzy (inner/outer) properties are translated into the standard Location min and max properties.
For advanced users:
  It is possible to write custom implementations of this to create `FuzzyLocations` with exotic behaviour.

Method Summary
`int` `resolveMax(FuzzyLocation loc)` Delegate for the getMax() method.
`int` `resolveMin(FuzzyLocation loc)` Delegate for the getMin() method.

Method Detail

### resolveMin

    public int resolveMin(FuzzyLocation loc)

  Delegate for the getMin() method.

### resolveMax

    public int resolveMax(FuzzyLocation loc)

  Delegate for the getMax() method.